Results 1 to 4 of 4

Thread: Clang 3.6 is needed for UE4. How to obtain?

  1. #1

    Question Clang 3.6 is needed for UE4. How to obtain?

    Hi all,

    I'm using Tumbleweed, and was trying to build UE4 earlier. I was faced with an error, since UE4 requires Clang 3.6, and will not compile with 3.7.

    Is there a way to tell opensuse to install this specific version of Clang?

    Thanks

  2. #2
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: Clang 3.6 is needed for UE4. How to obtain?

    it's not that simple libclang is part of llvm, did you install llvm-devel
    there hasn't been that much internal change
    http://llvm.org/releases/3.7.0/tools...al-api-changes
    if not you're going to need to get llvm 3.6 sources and recompile a bunch of libraries
    check with the UE devs there might be a patch for llvm 3.7

  3. #3

    Default Re: Clang 3.6 is needed for UE4. How to obtain?

    Quote Originally Posted by I_A View Post
    it's not that simple libclang is part of llvm, did you install llvm-devel
    there hasn't been that much internal change
    http://llvm.org/releases/3.7.0/tools...al-api-changes
    if not you're going to need to get llvm 3.6 sources and recompile a bunch of libraries
    check with the UE devs there might be a patch for llvm 3.7
    I grabbed 3.6.2 prebuilt binaries for opensuse from the clang official website, and now I'm trying to figure out how to get UE4 to use that version, instead of clang 3.7 (short of fully uninstalling 3.7...). I tried setting CC and CXX environment variables, but that didn’t work.

    I think I might be able to find the solution either in the clang docs, or by asking UE4 devs.

  4. #4
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: Clang 3.6 is needed for UE4. How to obtain?

    if you are building from source you need the header's and objects ie the -devel packages, afaik clang is part of llvm so you need that version llvm-devel (3.6.2)

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •